# TurnOnOffRePowered


![Image](https://i.imgur.com/buuPQel.png)


# Why not both?

	
This mod is based on two other mods:  https://steamcommunity.com/sharedfiles/filedetails/?id=1530276152]Turn It On and Off and https://steamcommunity.com/sharedfiles/filedetails/?id=1503118650]RePower

Ive always used RePower since it made it possible to have more realistic power-consumption.
The electric stove for example uses 350W but a real such stove uses between 2000-5000W.
This is of course because the stove in the game does not turn off when unused.
The trouble with the RePower-mod is that it requires a patch for each building.

The Turn It On and Off-mod is a more general solution to the problem as it works on almost everything.
This trouble is that it keeps the vanilla power-requirement, making the game very easy.

This mod combines the two and also introduces mod-options.
This makes it possible to define a multiplier for the vanilla power-draw for a more realistic level.
Changes are applied without need for restart.
It also supports the patches from RePower for special cases or personal settings.

Its safe to add and remove from saves, and should not affect performance any more than either of the previous mods.

- Added support for turrets, turrets that use the Building_Turret class will now draw high-power when having an active target.
- Added support for all autodoors that use the vanilla door-class
- Added support for https://steamcommunity.com/sharedfiles/filedetails/?id=2195733555]Doors Expanded
- Added support for https://steamcommunity.com/sharedfiles/filedetails/?id=2033979700]Project RimFactory Revived
- French translation added, thanks qux!
- Russian translation added, thanks Reiquard!

If you want, you can use this along with my patch-pack for RePower:
https://steamcommunity.com/sharedfiles/filedetails/?id=1836577627

Credits:
Ryder (Turn It On and Off 1.1/1.2)
Thom Blair III (Turn It On and Off B19/1.0)
Fluffy (Turn It On and Off B19/1.0)
Xen (Turn It On and Off B19/1.0)
EbonJaeger (RePower 1.1)
NubsPixel (RePower B19)
Texel (RePower A16)

![Image](https://i.imgur.com/O0IIlYj.png)

Since modding is just a hobby for me I expect no donations to keep modding. If you still want to show your support you can gift me anything from my https://store.steampowered.com/wishlist/id/Mlie]Wishlist or buy me a cup of tea.

https://ko-fi.com/G2G55DDYD]![Image](https://i.imgur.com/Utx6OIH.png)


![Image](https://i.imgur.com/PwoNOj4.png)



-  See if the the error persists if you just have this mod and its requirements active.
-  If not, try adding your other mods until it happens again.
-  Post your error-log using https://steamcommunity.com/workshop/filedetails/?id=818773962]HugsLib and command Ctrl+F12
-  For best support, please use the Discord-channel for error-reporting.
-  Do not report errors by making a discussion-thread, I get no notification of that.
-  If you have the solution for a problem, please post it to the GitHub repository.



